﻿using System;
using System.Collections.Generic;
using System.Text;

namespace LoggerSample
{
  class TestClass
  {
    string name;
    TraceEvent myTracer;
    public TestClass(string sourcename)
    {
      name = String.Format("{0}:{1}",sourcename , this.GetType().Name);
      myTracer = new TraceEvent(sourcename);
    }

    internal void TraceWarning(string message)
    {
      myTracer.TraceWarning(19, name, message);
    }

    internal void TraceInformation(string message)
    {
      myTracer.TraceInformation(24, name, message);
    }
  }
}
